## plasma-dialer 6.5.3+p24.04+vunstable+git20251205.1102

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

cmake_minimum_required (VERSION 3.16)

set(PROJECT_VERSION "6.5.80")
set(PROJECT_VERSION_MAJOR 6)

project(plasma-dialer VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.4.90")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

# ModemManager, oFono
set(MODEM_SUBSYSTEM "ModemManager" CACHE STRING "Modem subsystem (ModemManager or oFono)")
set_property(CACHE MODEM_SUBSYSTEM PROPERTY STRINGS ModemManager oFono)
if (MODEM_SUBSYSTEM STREQUAL "ModemManager")
    add_definitions(-DMODEM_SUBSYSTEM_MM)
    message(STATUS "Using ModemManager")
elseif(MODEM_SUBSYSTEM STREQUAL "oFono")
    add_definitions(-DMODEM_SUBSYSTEM_OFONO)
    message(STATUS "Using oFono")
endif()

option(DIALER_BUILD_SHELL_OVERLAY "Enable building of Dialer lockscreen functionality" ON)
if (DIALER_BUILD_SHELL_OVERLAY)
    add_definitions(-DDIALER_BUILD_SHELL_OVERLAY)
endif() # DIALER_BUILD_SHELL_OVERLAY

find_package(ECM ${KF6_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(ECMConfiguredInstall)
include(ECMFindQmlModule)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
include(ECMQMLModules)
include(ECMQmlModule)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMADIALER
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(KF6I18n NO_MODULE)
ki18n_install(po)

#set(DBUS_INTERFACES_PATH "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DBUSINTERFACEDIR}/")

add_subdirectory(kde-telephony-meta)

set(DBUS_INTERFACES_PATH "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DBUSINTERFACEDIR}/")
set(DBUS_INTERFACES_PATH "${SHARED_DBUS_XML_DIR}")
message("Using D-Bus interface descriptions from: ${DBUS_INTERFACES_PATH}")

add_subdirectory(modem-daemon)
add_subdirectory(kde-telephony-daemon)
add_subdirectory(kde-telephony-plugin-declarative)
add_subdirectory(plasma-dialer)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plasma-dialer/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

set(dialer_SRCS
    lockscreenutils.cpp
)

kconfig_add_kcfg_files(dialer_SRCS GENERATE_MOC config.kcfgc)

add_executable(plasma-dialer main.cpp ${dialer_SRCS})

ecm_add_qml_module(plasma-dialer GENERATE_PLUGIN_SOURCE URI org.kde.plasma.dialer)

qt_target_qml_sources(plasma-dialer QML_FILES
    qml/Main.qml
    qml/components/Sidebar.qml
    qml/components/BottomToolbar.qml
    qml/components/CloseButtonBackground.qml
    qml/DialerPage.qml
    qml/ContactsPage.qml
    qml/HistoryPage.qml
    qml/AboutPage.qml
    qml/settings/SettingsPage.qml
    qml/settings/CallBlockSettingsPage.qml
    qml/call/InCallInlineMessage.qml
    qml/call/AsymmetricAnswerSwipe.qml
    qml/call/SymmetricAnswerSwipe.qml
    qml/call/AnswerButtons.qml
    qml/call/CallPage.qml
    qml/call/Avatar.qml
    qml/call/ActiveCallView.qml
    qml/call/CallPageButton.qml
    qml/history/HistoryDelegate.qml
    qml/dialpad/Dialpad.qml
    qml/dialpad/DialerButton.qml
    qml/dialpad/DialerIconButton.qml
    qml/USSDSheet.qml
    qml/ImeiSheet.qml
    qml/PhoneNumberDialog.qml
)


find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Qml QuickControls2)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Crash CoreAddons I18n DBusAddons)
find_package(KF6KirigamiAddons 1.3 REQUIRED)

if (DIALER_BUILD_SHELL_OVERLAY)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Gui WaylandClient)

    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
        find_package(Qt6 REQUIRED COMPONENTS GuiPrivate WaylandClientPrivate)
    else()
        find_package(Qt6Gui ${QT_MIN_VERSION} CONFIG REQUIRED Private)
        find_package(Qt6WaylandClient ${QT_MIN_VERSION} COMPONENTS CONFIG REQUIRED Private)
    endif()

    find_package(Wayland REQUIRED)
    find_package(PlasmaWaylandProtocols 1.8 CONFIG)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS WindowSystem)
    set_package_properties(PlasmaWaylandProtocols PROPERTIES
        TYPE REQUIRED
        PURPOSE "Collection of Plasma-specific Wayland protocols"
        URL "https://invent.kde.org/libraries/plasma-wayland-protocols/"
    )
    find_package(QtWaylandScanner)
    set_package_properties(QtWaylandScanner PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required for building with Wayland above-lock-screen support"
    )
endif() # DIALER_BUILD_SHELL_OVERLAY

target_link_libraries(plasma-dialer PRIVATE
    Qt::Core
    Qt::Quick
    Qt::Qml
    Qt::QuickControls2
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::Crash
    KF6::I18n
    KF6::I18nQml
    KF6::DBusAddons
)
if (DIALER_BUILD_SHELL_OVERLAY)
    target_link_libraries(plasma-dialer PRIVATE
        Qt::GuiPrivate
        Qt::WaylandClient
        Qt::WaylandClientPrivate
        Wayland::Client
        KF6::WindowSystem
    )

    if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
        set(private_code_option  "PRIVATE_CODE")
    endif()
    qt6_generate_wayland_protocol_client_sources(plasma-dialer FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-lockscreen-overlay-v1.xml
        ${private_code_option}
    )
endif() # DIALER_BUILD_SHELL_OVERLAY

target_include_directories(plasma-dialer PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS plasma-dialer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
set(RINGING_SOUND "phone-incoming-call")
set(RINGING_WITHOUT_POPUP_SOUND "phone-incoming-call")

configure_file(plasma-dialer.notifyrc.in ${CMAKE_CURRENT_BINARY_DIR}/plasma-dialer.notifyrc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-dialer.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
plasma-dialer (1:6.5.3+p24.04+vunstable+git20251205.1102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Dec 2025 11:02:56 +0000

plasma-dialer (1:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:02 +1000

plasma-dialer (1:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:21 +1000

## plasma-dialer 6.5.3+p24.04+vunstable+git20251208.0731

=== debian/changelog ===
plasma-dialer (1:6.5.3+p24.04+vunstable+git20251208.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 07:31:01 +0000

## plasma-dialer 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")
@@ -75,6 +75,7 @@
 add_subdirectory(kde-telephony-daemon)
 add_subdirectory(kde-telephony-plugin-declarative)
 add_subdirectory(plasma-dialer)
+add_subdirectory(test)
 
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== debian/changelog ===
plasma-dialer (1:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:51:31 +0100

=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
           Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 1.3~),
               libcallaudio-dev (>= 0.1.4~),
               libkf6config-dev (>= 6.5.0~),
               libkf6contacts-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev,
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6modemmanagerqt-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6people-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools,
               pkgconf,
               plasma-wayland-protocols (>= 1.8~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.7.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-dialer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-dialer.git
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: callaudiod,
         kwin-wayland (>= 4:6.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.

## plasma-dialer 6.5.4+p24.04+vstable+git20251226.0444

=== debian/changelog ===
plasma-dialer (1:6.5.4+p24.04+vstable+git20251226.0444-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 04:44:05 +0000

plasma-dialer (1:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:16 +1000

## plasma-dialer 6.5.4+p24.04+vstable+git20251231.0713

=== debian/changelog ===
plasma-dialer (1:6.5.4+p24.04+vstable+git20251231.0713-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 07:13:58 +0000

## plasma-dialer 6.5.4+p24.04+vunstable+git20251209.1616

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

=== debian/changelog ===
plasma-dialer (1:6.5.4+p24.04+vunstable+git20251209.1616-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 16:16:24 +0000

## plasma-dialer 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

=== debian/changelog ===
plasma-dialer (1:6.5.5-0ubuntu3) resolute; urgency=medium

  * Update build deps for Qt 6.10.

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Feb 2026 13:42:57 +0000

plasma-dialer (1:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:04:13 +0000

plasma-dialer (1:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:06:34 +0000

plasma-dialer (1:6.5.4-0ubuntu2) resolute; urgency=medium

  * Build depend on kcrash.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:54:47 +0000

plasma-dialer (1:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:20:08 +0000

plasma-dialer (1:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:08:55 +0000

plasma-dialer (1:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:13:34 +0000

plasma-dialer (1:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:47:51 +0000

plasma-dialer (1:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:38:38 +0100

=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 1.3~),
               libcallaudio-dev (>= 0.1.4~),
               libkf6config-dev (>= 6.18.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6modemmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6people-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools,
               pkgconf,
               plasma-wayland-protocols (>= 1.8~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-dev-tools (>= 6.10.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-private-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-dialer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-dialer
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: callaudiod,
         kwin-wayland (>= 4:6.2.90~),
         qml6-module-org-kde-people,
         qml6-module-qtquick-localstorage,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.

## plasma-dialer 6.5.5+p24.04+vstable+git20260126.1415

=== debian/changelog ===
plasma-dialer (1:6.5.5+p24.04+vstable+git20260126.1415-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 14:15:20 +0000

plasma-dialer (1:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:49 +1000

## plasma-dialer 6.5.5+p24.04+vstable+git20260130.1031

=== debian/changelog ===
plasma-dialer (1:6.5.5+p24.04+vstable+git20260130.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:31:52 +0000

## plasma-dialer 6.5.5+p24.04+vunstable+git20260126.0900

=== debian/changelog ===
plasma-dialer (1:6.5.5+p24.04+vunstable+git20260126.0900-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:00:41 +0000

## plasma-dialer 6.5.5+p24.04+vunstable+git20260201.0807

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,14 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")
 
 set(CMAKE_CXX_STANDARD 20)

=== plasma-dialer/src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 set(dialer_SRCS
     lockscreenutils.cpp
+    ringtoneutils.cpp
 )
 
 kconfig_add_kcfg_files(dialer_SRCS GENERATE_MOC config.kcfgc)
@@ -16,13 +17,13 @@
     qml/Main.qml
     qml/components/Sidebar.qml
     qml/components/BottomToolbar.qml
-    qml/components/CloseButtonBackground.qml
     qml/DialerPage.qml
     qml/ContactsPage.qml
     qml/HistoryPage.qml
     qml/AboutPage.qml
     qml/settings/SettingsPage.qml
     qml/settings/CallBlockSettingsPage.qml
+    qml/settings/RingtoneSettingsPage.qml
     qml/call/InCallInlineMessage.qml
     qml/call/AsymmetricAnswerSwipe.qml
     qml/call/SymmetricAnswerSwipe.qml
@@ -41,7 +42,7 @@
 )
 
 
-find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Qml QuickControls2)
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Qml QuickControls2 Multimedia)
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Crash CoreAddons I18n DBusAddons)
 find_package(KF6KirigamiAddons 1.3 REQUIRED)
 
@@ -75,6 +76,7 @@
     Qt::Quick
     Qt::Qml
     Qt::QuickControls2
+    Qt::Multimedia
     KF6::ConfigGui
     KF6::CoreAddons
     KF6::Crash

=== debian/changelog ===
plasma-dialer (1:6.5.5+p24.04+vunstable+git20260201.0807-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 08:07:48 +0000

=== debian/control ===
Source: plasma-dialer
Section: comm
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kpeople-dev,
               kf6-kwindowsystem-dev,
               kf6-modemmanager-qt-dev,
               ktactilefeedback-dev,
               kwin-addons,
               kwin-dev,
               libcallaudio-dev,
               libfreetype-dev,
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               reuse
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-dialer.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-dialer
Maintainer: Neon CI <neon@kde.org>

Package: plasma-dialer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dialer application with call history and contacts
 Plasma Dialer is the default dialer app for the Plasma Mobile shell.

## plasma-dialer 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

=== debian/changelog ===
plasma-dialer (1:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:15:34 +0000

=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.22.0~),
               kirigami-addons-dev (>= 1.3~),
               libcallaudio-dev (>= 0.1.4~),
               libkf6config-dev (>= 6.22.0~),
               libkf6contacts-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6crash-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6modemmanagerqt-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libkf6people-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools,
               pkgconf,
               plasma-wayland-protocols (>= 1.8~),
               qt6-base-dev (>= 6.10.0~),
               qt6-base-dev-tools (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-wayland-dev (>= 6.10.0~),
               qt6-wayland-private-dev (>= 6.10.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-dialer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-dialer
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: callaudiod,
         kwin-wayland (>= 4:6.2.90~),
         qml6-module-org-kde-people,
         qml6-module-qtquick-localstorage,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.

## plasma-dialer 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")

=== plasma-dialer/src/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 set(dialer_SRCS
     lockscreenutils.cpp
-    ringtoneutils.cpp
 )
 
 kconfig_add_kcfg_files(dialer_SRCS GENERATE_MOC config.kcfgc)
@@ -23,7 +22,6 @@
     qml/AboutPage.qml
     qml/settings/SettingsPage.qml
     qml/settings/CallBlockSettingsPage.qml
-    qml/settings/RingtoneSettingsPage.qml
     qml/call/InCallInlineMessage.qml
     qml/call/AsymmetricAnswerSwipe.qml
     qml/call/SymmetricAnswerSwipe.qml
@@ -42,7 +40,7 @@
 )
 
 
-find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Qml QuickControls2 Multimedia)
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Qml QuickControls2)
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Crash CoreAddons I18n DBusAddons)
 find_package(KF6KirigamiAddons 1.3 REQUIRED)
 
@@ -76,7 +74,6 @@
     Qt::Quick
     Qt::Qml
     Qt::QuickControls2
-    Qt::Multimedia
     KF6::ConfigGui
     KF6::CoreAddons
     KF6::Crash

=== debian/changelog ===
plasma-dialer (1:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:23:58 +0000

## plasma-dialer 23.01.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

cmake_minimum_required (VERSION 3.16)

set(PROJECT_VERSION "23.01")
project(plasma-dialer-with-subprojects VERSION ${PROJECT_VERSION})

option(DIALER_BUILD_SHELL_OVERLAY "Enable building of Dialer lockscreen functionality" ON)
if (DIALER_BUILD_SHELL_OVERLAY)
    add_definitions(-DDIALER_BUILD_SHELL_OVERLAY)
endif() # DIALER_BUILD_SHELL_OVERLAY

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.101.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(FeatureSummary)
include(ECMConfiguredInstall)
include(ECMFindQmlModule)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMADIALER
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(KF5I18n NO_MODULE)
ki18n_install(po)

#set(DBUS_INTERFACES_PATH "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DBUSINTERFACEDIR}/")

add_subdirectory(kde-telephony-meta)

set(DBUS_INTERFACES_PATH "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DBUSINTERFACEDIR}/")
set(DBUS_INTERFACES_PATH "${SHARED_DBUS_XML_DIR}")
message("Using D-Bus interface descriptions from: ${DBUS_INTERFACES_PATH}")

set(MODEM_SUBSYSTEM "ModemManager" CACHE INTERNAL "")

add_subdirectory(modem-daemon)
add_subdirectory(kde-telephony-daemon)
add_subdirectory(kde-telephony-plugin-declarative)
add_subdirectory(plasma-dialer)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plasma-dialer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

# plasma-dialer

add_subdirectory(src)

install(FILES org.kde.phone.dialer.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES dialer.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
install(FILES org.kde.phone.dialer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== kde-telephony-daemon/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Test Sql)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS People)

ecm_add_test(TEST_NAME contactmappertest contact-mapper-test.cpp fake-contact-source.cpp LINK_LIBRARIES Qt::Test Qt::Sql KF5::PeopleBackend contactphonenumbermapper)

=== kde-telephony-daemon/contactphonenumbermapper/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2022 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Contacts People ModemManagerQt)
find_package(PhoneNumber COMPONENTS PhoneNumber REQUIRED)

add_library(contactphonenumbermapper STATIC phone-number-utils.cpp contact-phone-number-mapper.cpp)
target_compile_definitions(contactphonenumbermapper PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(contactphonenumbermapper PUBLIC
    Qt::Core
    KF5::Contacts
    KF5::People
    KF5::PeopleBackend
    PhoneNumber::PhoneNumber
)
target_include_directories(contactphonenumbermapper PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== kde-telephony-daemon/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

set(ktelephonyd_SRCS
    main.cpp
    dialer-utils.cpp
    contact-utils.cpp
    dialer-manager.cpp
    notification-manager.cpp
    )

set_source_files_properties(
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    PROPERTIES
    INCLUDE "kTelephonyMetaTypes/dialer-types.h"
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus)
find_package(Qt${QT_MAJOR_VERSION} OPTIONAL_COMPONENTS Feedback)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config I18n ModemManagerQt Notifications KIO)

qt_add_dbus_interface(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    deviceutilsinterface)

qt_add_dbus_interface(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    callutilsinterface)

qt_add_dbus_interface(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    callhistorydatabaseinterface)

qt_add_dbus_adaptor(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.ContactUtils.xml"
    contact-utils.h ContactUtils)

qt_add_dbus_adaptor(ktelephonyd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DialerUtils.xml"
    dialer-utils.h DialerUtils)

add_executable(kde-telephony-daemon
    ${ktelephonyd_SRCS}
    )

target_include_directories(kde-telephony-daemon PRIVATE ${CMAKE_BINARY_DIR})

qt_add_dbus_interface(mpris_srcs "${DBUS_INTERFACES_PATH}/org.mpris.MediaPlayer2.Player.xml" mprisplayerinterface)
target_sources(kde-telephony-daemon PRIVATE ${mpris_srcs})

find_package(PkgConfig QUIET)
pkg_check_modules(LIBCALLAUDIO libcallaudio-0.1 REQUIRED IMPORTED_TARGET)

# https://build.opensuse.org/package/show/network:telephony/callaudiod#comment-1675259
if("${LIBCALLAUDIO_VERSION}" STREQUAL "0.1.1")
    message(ERROR "libcallaudiod version 0.1.1 is not supported")
endif()
if("${LIBCALLAUDIO_VERSION}" STREQUAL "0.1.2")
    message(ERROR "libcallaudiod version 0.1.2 is not supported")
endif()
if("${LIBCALLAUDIO_VERSION}" STREQUAL "0.1.3")
    message(WARNING "libcallaudiod version 0.1.3 is found, while 0.1.4 is expected." "\n"
        "This is a known issue in case of CI build, the workaround is skipping callaudiod logic for the build:" "\n"
        "https://build.opensuse.org/package/show/network:telephony/callaudiod#comment-1675259")
    target_compile_definitions(kde-telephony-daemon PUBLIC LOWER_LIBCALLAUDIO_VERSION)
endif()


target_link_libraries(kde-telephony-daemon
    KF5::ConfigGui
    Qt::Core
    Qt::DBus
    KF5::I18n
    KF5::KIOGui
    KF5::Notifications
    KF5::ModemManagerQt
    PkgConfig::LIBCALLAUDIO
    ktelephonymetatypes # FIXME: KF5 cmake files
    contactphonenumbermapper
    )

if (Qt5Feedback_FOUND)
    target_link_libraries(kde-telephony-daemon Qt5::Feedback)
    target_compile_definitions(kde-telephony-daemon PUBLIC HAVE_QT5_FEEDBACK)
else()
    message(WARNING "Qt Feedback dependency is not found. While it is optional since unmaintained, haptics feedback functionality is not supported without it.")
endif()

configure_file(daemon-autostart.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop)

set(SERV_EXEC ${KDE_INSTALL_FULL_LIBEXECDIR}/kde-telephony-daemon)
configure_file(org.kde.telephony.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.telephony.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.telephony.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

kconfig_add_kcfg_files(kde-telephony-daemon ../../plasma-dialer/src/config.kcfgc GENERATE_MOC)
install(TARGETS kde-telephony-daemon DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR} RENAME org.kde.telephony.daemon.desktop)

=== kde-telephony-meta/meta-types/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

set(metatypes_SRCS
    include/kTelephonyMetaTypes/dialer-types.h
    )

add_library(ktelephonymetatypes STATIC ${metatypes_SRCS})

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus)

include_directories(${QtCore_INCLUDE_DIRS})
include_directories(${QtDBus_INCLUDE_DIRS})

target_include_directories(ktelephonymetatypes PUBLIC include)
target_link_libraries(ktelephonymetatypes PRIVATE
    Qt::Core
    Qt::DBus
    )

file(GLOB HEADERS_TO_MOC include/*.h)

qt_wrap_cpp(PROCESSED_MOCS
    ${HEADERS_TO_MOC}
    TARGET ktelephonymetatypes
    OPTIONS --no-notes)

target_sources(ktelephonymetatypes PRIVATE ${PROCESSED_MOCS})

install(FILES ${metatypes_SRCS} DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/kTelephonyMetaTypes")
install(TARGETS ktelephonymetatypes DESTINATION "${KDE_INSTALL_LIBDIR}")
# TODO: install KF5 cmake files

=== kde-telephony-plugin-declarative/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

set(PLUGIN_SRCS
    ktelephonyplugindeclarative.cpp
    call-model.cpp
    active-call-model.cpp
    call-history-model.cpp
    declarative-device-utils.cpp
    declarative-ussd-utils.cpp
    declarative-call-utils.cpp
    declarative-dialer-utils.cpp
    declarative-contact-utils.cpp
    )

set_source_files_properties(
    # calls-daemon
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.UssdUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    # kde-telephony-daemon
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.DialerUtils.xml"
    "${DBUS_INTERFACES_PATH}/org.kde.telephony.ContactUtils.xml"
    PROPERTIES
    INCLUDE "kTelephonyMetaTypes/dialer-types.h"
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Qml Sql DBus)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n DBusAddons Contacts People)
find_package(PhoneNumber COMPONENTS PhoneNumber REQUIRED)

# calls-daemon

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    deviceutilsinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.VoiceMailUtils.xml"
    voicemailutilsinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.UssdUtils.xml"
    ussdutilsinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    callhistorydatabaseinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    callutilsinterface)

# kde-telephony-daemon

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DialerUtils.xml"
    dialerutilsinterface)

qt_add_dbus_interface(PLUGIN_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.ContactUtils.xml"
    contactutilsinterface)

add_library(KTelephonyPluginDeclarative SHARED
    # For IDE's project tree
    qmldir
    ${PLUGIN_SRCS}
    )

target_link_libraries(KTelephonyPluginDeclarative
    Qt::Core
    Qt::Quick
    Qt::Qml
    Qt::Sql
    Qt::DBus
    KF5::CoreAddons
    KF5::I18n
    KF5::DBusAddons
    KF5::Contacts
    KF5::People
    KF5::PeopleBackend
    ktelephonymetatypes # TODO: KF5 cmake files
    )

install(TARGETS KTelephonyPluginDeclarative DESTINATION "${KDE_INSTALL_QMLDIR}/org/kde/telephony")
install(FILES qmldir DESTINATION "${KDE_INSTALL_QMLDIR}/org/kde/telephony")

=== modem-daemon/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

include(ECMPoQmTools)
ecm_install_po_files_as_qm(po)

ecm_create_qm_loader(modem-daemon_QM_LOADER modem-daemon_qt)

set(modemd_SRCS
    main.cpp
    call-history-database.cpp
    call-history-manager.cpp
    call-utils.cpp
    call-object.cpp
    call-manager.cpp
    ussd-utils.cpp
    ussd-manager.cpp
    device-utils.cpp
    device-manager.cpp
    modem-controller.cpp
    mm-modem-controller.cpp
    ${modem-daemon_QM_LOADER}
    )

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Gui DBus Sql)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS ModemManagerQt)
find_package(PhoneNumber COMPONENTS PhoneNumber REQUIRED)

qt_add_dbus_adaptor(modemd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.DeviceUtils.xml"
    device-utils.h DeviceUtils)

qt_add_dbus_adaptor(modemd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.UssdUtils.xml"
    ussd-utils.h UssdUtils)

qt_add_dbus_adaptor(modemd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallUtils.xml"
    call-utils.h CallUtils)

qt_add_dbus_adaptor(modemd_SRCS "${DBUS_INTERFACES_PATH}/org.kde.telephony.CallHistoryDatabase.xml"
    call-history-database.h CallHistoryDatabase)

add_executable(modem-daemon
    ${modemd_SRCS}
    )

target_include_directories(modem-daemon PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(modem-daemon
    Qt::Core
    Qt::DBus
    Qt::Sql
    KF5::ModemManagerQt
    PhoneNumber::PhoneNumber
    ktelephonymetatypes # FIXME: KF5 cmake files
    )

configure_file(daemon-autostart.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop)

set(SERV_EXEC ${KDE_INSTALL_FULL_LIBEXECDIR}/modem-daemon)
configure_file(org.kde.modemdaemon.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.modemdaemon.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.modemdaemon.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

install(TARGETS modem-daemon DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR} RENAME org.kde.modem.daemon.desktop)

=== plasma-dialer/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

add_executable(plasmaphonedialer
    main.cpp
    resources.qrc   
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Qml QuickControls2)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config CoreAddons I18n DBusAddons WindowSystem)
find_package(KF5KirigamiAddons 0.6 REQUIRED)

if (DIALER_BUILD_SHELL_OVERLAY)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED WaylandClient)
    find_package(Wayland REQUIRED)
    find_package(PlasmaWaylandProtocols 1.8 CONFIG)
    find_package(KWinEffects 5.26.0 CONFIG)
    set_package_properties(PlasmaWaylandProtocols PROPERTIES
        TYPE REQUIRED
        PURPOSE "Collection of Plasma-specific Wayland protocols"
        URL "https://invent.kde.org/libraries/plasma-wayland-protocols/"
    )
    if (QT_MAJOR_VERSION EQUAL "5")
        find_package(QtWaylandScanner)
        set_package_properties(QtWaylandScanner PROPERTIES
            TYPE REQUIRED
            PURPOSE "Required for building with Wayland above-lock-screen support"
        )
    endif()
    set_package_properties(KWinEffects PROPERTIES DESCRIPTION "KWin (Effects)"
        TYPE RECOMMENDED
        PURPOSE "Appropriate KWin version is expected to support above lockscreen mode (shell overlay)"
        URL "https://invent.kde.org/plasma/kwin/"
    )
endif() # DIALER_BUILD_SHELL_OVERLAY

target_include_directories(plasmaphonedialer PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(plasmaphonedialer
    Qt::Core
    Qt::Quick
    Qt::Qml
    Qt::QuickControls2
    KF5::ConfigGui
    KF5::CoreAddons
    KF5::I18n
    KF5::DBusAddons
    KF5::WindowSystem
)
if (DIALER_BUILD_SHELL_OVERLAY)
    target_link_libraries(plasmaphonedialer
        Qt::WaylandClient
        Qt::WaylandClientPrivate
        Wayland::Client
    )

    if (QT_MAJOR_VERSION EQUAL "5")
        ecm_add_qtwayland_client_protocol(plasmaphonedialer
            PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-lockscreen-overlay-v1.xml
            BASENAME kde-lockscreen-overlay-v1
        )
    else()
        qt6_generate_wayland_protocol_client_sources(plasmaphonedialer FILES
            ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-lockscreen-overlay-v1.xml)
    endif()
endif() # DIALER_BUILD_SHELL_OVERLAY

kconfig_add_kcfg_files(plasmaphonedialer config.kcfgc GENERATE_MOC)
install(TARGETS plasmaphonedialer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES plasma_dialer.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
plasma-dialer (23.01.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:39 +1100

plasma-dialer (23.01.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:25:37 +0000

=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.101.0~),
               kirigami-addons-dev (>= 0.6~),
               kwin-dev (>= 4:5.26.4~),
               libcallaudio-dev (>= 0.1.4~),
               libkf5config-dev (>= 5.101.0~),
               libkf5contacts-dev (>= 5:5.101.0~),
               libkf5coreaddons-dev (>= 5.101.0~),
               libkf5dbusaddons-dev (>= 5.101.0~),
               libkf5i18n-dev (>= 5.101.0~),
               libkf5kio-dev (>= 5.101.0~),
               libkf5notifications-dev (>= 5.101.0~),
               libkf5people-dev (>= 5.101.0~),
               libkf5windowsystem-dev (>= 5.101.0~),
               libphonenumber-dev,
               libqt5waylandclient5-dev (>= 5.15.2~),
               libwayland-dev,
               modemmanager-qt-dev (>= 5.101.0~),
               pkg-config,
               pkg-kde-tools,
               plasma-wayland-protocols (>= 1.8~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.2~),
               qtfeedback5-dev,
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-dialer
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-dialer.git
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: callaudiod, ${misc:Depends}, ${shlibs:Depends}
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp
